/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package calc.client;

import calc.CalcRemoteInterface;
import java.net.MalformedURLException;
import java.rmi.Naming;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;

/**
 *
 * @author alessiobechini
 */
public class CalcClient {
    
    private static final int REGISTRY_PORT=1099;
    private static final String REGISTRY_HOST="127.0.0.1";

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) { 
        //"rmi://127.0.0.1:2099/Calculator"
        String calcRmiURL="rmi://"+REGISTRY_HOST+":"+Integer.toString(REGISTRY_PORT)+"/Calculator";
        try {
            //CalcRemoteInterface c = (CalcRemoteInterface) Naming.lookup("rmi://127.0.0.1:2099/Calculator"); 
            CalcRemoteInterface c = (CalcRemoteInterface) Naming.lookup(calcRmiURL); 
            System.out.println( c.sub(4, 3) ); 
            System.out.println( c.add(4, 5) ); 
            System.out.println( c.mul(3, 6) ); 
            System.out.println( c.div(9, 3) );
        } catch (MalformedURLException murle) {
            System.out.println();
            System.out.println("MalformedURLException"); 
            System.out.println(murle);
        } catch (RemoteException re) {
            System.out.println();
            System.out.println("RemoteException"); 
            System.out.println(re);
        } catch (NotBoundException nbe) {
            System.out.println();
            System.out.println("NotBoundException"); 
            System.out.println(nbe);
        }

    }
}
